using System.Threading.Tasks;
using Grpc.Core;

namespace SportGrpc
{
    public class AtleetService : Atleet.AtleetBase
    {
        public AtleetService()
        {
        }

        public override Task<AtleetReply> GetAtleet(AtleetRequest request, ServerCallContext context)
        {
            return Task.FromResult(new AtleetReply
            {
                Id = 1,
                Naam = "Gerard Nijboer"
            });
        }
    }
}
